import TabsComp from '@/components/TabsComp';
import styles from '../../../GLQ/index.less';
import { useState } from 'react';
import { ConfigProvider, Form, Input, Radio, Select, Table } from 'antd';

import { rowClassName } from '@/utils';
import ButtonComp from '@/components/ButtonComp';

export default function Page() {
  const [activeTab, setActiveTab] = useState(1)
  const [tableData, setTableData] = useState([]);

  const columns: any = [
    { title: '配发类型', dataIndex: 'name', key: 'name', align: 'center' },
    { title: '产品名称', dataIndex: 'productName', key: 'productName', align: 'center' },
    { title: '产品编号', dataIndex: 'productNum', key: 'productNum', align: 'center' },
    { title: '操作员', dataIndex: 'name', key: 'name', align: 'center' },
    { title: '操作时间', dataIndex: 'name', key: 'name', align: 'center' },
    { title: '三联单号', dataIndex: 'name', key: 'name', align: 'center' }
  ]

  const columns1: any = [
    { title: '密码种类', dataIndex: 'name', key: 'name', align: 'center' },
    { title: '套数', dataIndex: 'name', key: 'name', align: 'center' },
    { title: '编号', dataIndex: 'name', key: 'name', align: 'center' },
    { title: '载体类型', dataIndex: 'carrierType', key: 'carrierType', align: 'center' },
    { title: '载体数量', dataIndex: 'name', key: 'name', align: 'center' },
    { title: '载体编号', dataIndex: 'name', key: 'name', align: 'center' },
    { title: '备注', dataIndex: 'name', key: 'name', align: 'center' }
  ]

  return (
    <div className={`${styles.params_warp}`}>
      <TabsComp
        dataSource={[{ id: 1, name: '密钥体配发三联单' }]}
        activeTab={activeTab}
        onChange={(e) => setActiveTab(e)} />

      <div className='flex_aiC mb20' >
        <div style={{ marginRight: 12 }}>发往单位</div>
        <Select style={{ width: 260 }} placeholder="请选择发往单位" onChange={(e) => { }} options={[{ label: '选项1', value: 1 }]} />
      </div>

      <Table
        scroll={tableData.length > 0 ? { y: 41 * 9 } : {}}
        pagination={false}
        bordered
        columns={columns}
        dataSource={tableData}
        rowKey={(record: any) => record?.id}
        rowClassName={rowClassName}
      />

      <div className='flex_jE mt20 mb20'>
        <ButtonComp text={'添加'} onClick={() => { }} />
      </div>

      <div className='mb20' style={{ height: 1, background: '#EDEDED' }}></div>

      <div className='mb20 flex_aiC' >
        <div style={{ marginRight: 12 }}>发往单位</div>
        <Select style={{ width: 260, marginRight: 20 }} placeholder="请选择发往单位" onChange={(e) => { }} options={[{ label: '选项1', value: 1 }]} />
        <ButtonComp text={'查询'} onClick={() => { }} />
      </div>

      <div className='flex_aiC_jB mb20 mt20'>
        <div>发来单位： --</div>
        <div>单号：--</div>
      </div>

      <Table
        scroll={tableData.length > 0 ? { y: 41 * 9 } : {}}
        pagination={false}
        bordered
        columns={columns1}
        dataSource={tableData}
        rowKey={(record: any) => record?.id}
        rowClassName={rowClassName}
      />

      <div className='mb20 mt20 flex_aiC' >
        <div style={{ marginRight: 12 }}>发往单位</div>
        <Input placeholder="请输入发往单位" style={{ width: 260, marginRight: 50 }} />
        <div>配发时间：--</div>
      </div>

      <div className='flex_aiC_jB mt20'>
        <ButtonComp text={'添加'} onClick={() => { }} />
        <div className='flex_jE'>
          <ButtonComp style={{ marginRight: 20 }} type={'cancel'} text={'移出'} onClick={() => { }} />
          <ButtonComp style={{ marginRight: 20 }} type={'cancel'} text={'制作'} onClick={() => { }} />
          <ButtonComp style={{ marginRight: 20 }} type={'cancel'} text={'预览'} onClick={() => { }} />
          <ButtonComp type={'cancel'} text={'打印'} onClick={() => { }} />
        </div>
      </div>
    </div>
  );
}