import TabsComp from '@/components/TabsComp';
import styles from '../../../GLQ/index.less';
import styles1 from './index.less';
import { useEffect, useState } from 'react';
import DeviceTab from './DeviceTab';
import AdminsTab from './AdminsTab';
import { useParams } from 'umi';

export default function Page() {
  const [activeTab, setActiveTab] = useState(1)
  const urlParams = useParams();
  
  useEffect(() => {
    setActiveTab(1)
  }, [urlParams?.id])

  return (
    <div className={`${styles.params_warp} ${styles.params_warp}`}>
      <TabsComp
        dataSource={[{ id: 1, name: '设备注册' }, { id: 2, name: '管理系统注册' }]}
        activeTab={activeTab}
        onChange={(e) => setActiveTab(e)} />
      
      { activeTab == 1 && <DeviceTab/> }
      { activeTab == 2 && <AdminsTab/> }

      {/* 占位 */}
      <div style={{marginBottom: 50}}></div>
      {/* 底部固定信息 */}
      <div className={styles1.mainInfo}>
        <div>管理系统名称：XXXX</div>
        <div>列表中共有设备 1 台，管理系统 0 套</div>
      </div>
    </div>
  );
}