import styles from '../../../GLQ/index.less';
import { useState } from 'react';
import { ConfigProvider, Table } from 'antd';

import { rowClassName } from '@/utils';
import ButtonComp from '@/components/ButtonComp';

export default function Page() {
  const [tableData, setTableData] = useState([]);

  const columns: any = [
    { title: '管理系统名称', dataIndex: 'name', key: 'name', align: 'center' },
    { title: '管理实体标识', dataIndex: 'name', key: 'name', align: 'center' },
    { title: '收文报号', dataIndex: 'name', key: 'name', align: 'center' },
    { title: '发文报号', dataIndex: 'name', key: 'name', align: 'center' }
  ]

  return (
    <div className={`${styles.params_warp}`}>
      <ButtonComp style={{ marginBottom: 40 }} type={'special'} text={'报号维护'} onClick={() => { }} />

      <ButtonComp type={'special'} text={'管理系统列表'} onClick={() => { }} />
      <Table
        scroll={tableData.length > 0 ? { y: 41 * 5 } : {}}
        pagination={false}
        bordered
        columns={columns}
        dataSource={tableData}
        rowKey={(record: any) => record?.id}
        rowClassName={rowClassName}
      />
      <div className='flex_jE mt30'>
        <ButtonComp type={'cancel'} text={'收文报号设置'} onClick={() => { }} />
      </div>
    </div>
  );
}