export const tabsType: any = {
  1: [
    { id: 1, name: 'GLQ远程维护', },
    { id: 2, name: '网络MMJ管理' },
    { id: 3, name: '网络GLQ配置' }
  ],
  2: [
    { id: 1, name: '密钥体管理' },
    { id: 2, name: '密钥管理' },
    { id: 3, name: '邮箱管理' }
  ],
  3: [
    { id: 1, name: '设备管理' },
    { id: 2, name: '日志管理' },
    { id: 3, name: '审计管理' },
    { id: 4, name: '境外任务管理' }
  ],
  4: [
    { id: 1, name: '算法资源管理' },
    { id: 2, name: '算法配置管理' },
    { id: 3, name: '算法托收管理' },
    { id: 4, name: '算法邮箱管理' }
  ],
  5: [
    { id: 1, name: '设备监控二维版' }
  ],
  6: [
    { id: 1, name: '注册管理' },
    { id: 2, name: '位置管理' }
  ],
}

export const MenuType: any = {
  'GLQ远程维护': [
    {
      name: '建立远程连接',
      check: true,
      data: [{ name: '参数设置', url: '/teamViewer/paramsSetting', img: '' }]
    }, {
      name: '交互维护命令',
      check: true,
      data: [
        { name: '系统时间', url: '/teamViewer/systemTime', img: '' },
        { name: '当前IP', url: '/teamViewer/currentIP', img: '' },
        { name: 'PING命令', url: '/teamViewer/pingCommand', img: '' },
        { name: 'TELNET命令', url: '/teamViewer/telnetCommand', img: '' },
        { name: '其他命令', url: '/teamViewer/otherCommand', img: '' },
      ]
    },
  ],
  '网络MMJ管理': [
    { name: 'MMJ初装', url: '/webMMJ/mmjInitInstall', img: '' },
    { name: '状态查询', url: '/webMMJ/statusQuery', img: '' },
    { name: '密钥销毁', url: '/webMMJ/keyDestruction', img: '' },
    { name: '密钥遥毙', url: '/webMMJ/keyRemoteKill', img: '' },
    { name: 'MMJ遥毙', url: '/webMMJ/mmjRemoteKill', img: '' },
  ],
  '网络GLQ配置': [
    {
      name: '获取配置信息',
      check: true,
      data: [
        { name: '服务列表信息', url: '/webGLQ/serviceListInfo', img: '' },
        { name: '网络配置信息', url: '/webGLQ/networkConfigInfo', img: '' },
        { name: '安全策略信息', url: '/webGLQ/securityPolicyInfo', img: '' },
        { name: '管理配置信息', url: '/webGLQ/manageConfigInfo', img: '' },
        { name: 'VPN策略信息', url: '/webGLQ/vpnPolicyInfo', img: '' },
        { name: '防火墙策略信息', url: '/webGLQ/firewallPolicyInfo', img: '' },
        { name: '日志记录信息', url: '/webGLQ/logRecordInfo', img: '' }
      ]
    }, {
      name: '远程文件配置',
      check: true,
      data: [
        { name: '服务列表', url: '/webMMJ/serviceList', img: '' },
        { name: '网络参数', url: '/webMMJ/networkParams', img: '' },
        { name: '安全策略', url: '/webMMJ/securityPolicy', img: '' },
        { name: '管理配置', url: '/webMMJ/manageConfig', img: '' },
        { name: 'VPN策略', url: '/webMMJ/vpnPolicy', img: '' },
      ]
    },
  ],
  '密钥体管理': [
    {
      name: '密钥体格式管理',
      check: true,
      data: [
        { name: '密钥体格式导入', url: '/KeyBodyManage/formatImport', img: '' },
        { name: '密钥体格式发布', url: '/KeyBodyManage/formatPublishing', img: '' },
      ]
    }, {
      name: '密钥体申请',
      check: true,
      data: [
        { name: '密钥体申请', url: '/KeyBodyManage/application', img: '' }
      ]
    }, {
      name: '密钥体导入',
      check: true,
      data: [
        { name: '密钥体导入', url: '/KeyBodyManage/import', img: '' },
        { name: '密钥体接收单', url: '/KeyBodyManage/receiptForm', img: '' },
        { name: '已清理密钥体', url: '/KeyBodyManage/cleaned', img: '' },
        { name: '密钥体代号对照表', url: '/KeyBodyManage/codeComparisonTable', img: '' }
      ]
    }, {
      name: '密钥体配发',
      check: true,
      data: [
        { name: '向下级配发', url: '/KeyBodyManage/subordinateDistr', img: '' },
        { name: '向邮箱配发', url: '/KeyBodyManage/emailDistr', img: '' },
        { name: '向专用密码管理系统配发', url: '/KeyBodyManage/systemDistr', img: '' },
        { name: '密钥体配发三联单', url: '/KeyBodyManage/distrTriple', img: '' },
      ]
    }, {
      name: '密钥体载体包封',
      check: true,
      data: [
        { name: '明文载体包封', url: '/KeyBodyManage/plaintext', img: '' },
        { name: '密文载体包封', url: '/KeyBodyManage/ciphertext', img: '' },
      ]
    },
  ],
  '密钥管理': [
    {
      name: '密钥装配',
      check: true,
      data: [
        { name: '管理系统管理盘数据维护', url: '/KeyManage/dataMaintenance', img: '' },
        { name: '统型完善普密设备密钥互通关系配置', url: '/KeyManage/relationConfig', img: '' },
        { name: '管理密钥装配', url: '/KeyManage/manageKeys', img: '' },
        { name: '用户密钥装配', url: '/KeyManage/userKey', img: '' },
        { name: '专用密钥装配', url: '/KeyManage/privateKey', img: '' },
        { name: '密钥配置查询', url: '/KeyManage/keyConfigQuery', img: '' },
        { name: '密钥配发三联单', url: '/KeyManage/tripleKeyDistri', img: '' }
      ]
    },
    { name: '密码机安装', check: true, data: [] },
    { name: '设置密钥寿命', check: true, data: [] },
    { name: '密钥托收', check: true, data: [] },
    { name: '密钥载体包封', check: true, data: [] },
    { name: '数据同步', check: true, data: [] }
  ],
  '邮箱管理': [
    { name: '设置通知方式', check: true, data: [] },
    { name: '下载控制', check: true, data: [] },
  ],
  '设备管理': [
    {
      name: '系统配置',
      check: true,
      data: [
        { name: '执勤区配置', url: '/DeviceManage/dutyAreaConfig', img: '' },
        { name: '数据同步', url: '/DeviceManage/dataSync', img: '' },
        { name: '远程维护', url: '/DeviceManage/remoteMaintenance', img: '' },
        { name: '报号维护', url: '/DeviceManage/numberMaintenance', img: '' },
      ]
    },
  ],
  '日志管理': [],
  '审计管理': [],
  '境外任务管理': [],
  '算法资源管理': [
    {
      name: '资源维护',
      check: true,
      data: [
        { name: '算法信息维护', url: '/resourceManage/algorithmMaintenance', img: '' },
        { name: '参数信息维护', url: '/resourceManage/paramMaintenance', img: '' },
        { name: '算法集合配置', url: '/resourceManage/algorithmSetConfig', img: '' },
        { name: '管理类参数所属网络配置', url: '/resourceManage/networkConfig', img: '' }
      ]
    }, {
      name: '资源配发',
      check: true,
      data: [
        { name: '算法配发', url: '/resourceManage/algorithmDistr', img: '' },
        { name: '算法参数配发', url: '/resourceManage/algorithmParam', img: '' },
      ]
    },
    { name: '专用密码管理系统参数配发', check: true, data: [] },
  ],
  '算法配置管理': [
    {
      name: '算法配置',
      check: true,
      data: [
        { name: '单算法安装配置', url: '/configManage/sfSingleInstallConfig', img: '' },
        { name: '单算法更换配置', url: '/configManage/sfSingleChangeConfig', img: '' },
        { name: '多算法安装配置', url: '/configManage/sfMultiInstallConfig', img: '' },
        { name: '多算法更换配置', url: '/configManage/sfMultiChangeConfig', img: '' },
      ]
    }, {
      name: '算法参数配置',
      check: true,
      data: [
        { name: '单参数安装配置', url: '/configManage/paramSingleInstallConfig', img: '' },
        { name: '单参数更换配置', url: '/configManage/paramSingleChangeConfig', img: '' },
        { name: '多参数安装配置', url: '/configManage/paramMultiInstallConfig', img: '' },
        { name: '多参数更换配置', url: '/configManage/paramMultiChangeConfig', img: '' },
      ]
    },
    { name: '算法启闭', check: true, data: [] },
    { name: '密码授启', check: true, data: [] },
    { name: '配置情况查询', check: true, data: [] },
    { name: '数据同步', check: true, data: [] },
  ],
  '算法托收管理': [],
  '算法邮箱管理': [],
  '注册管理': [
    {
      name: '设备注册',
      check: true,
      isTree: true,
      data: []
    },
    {
      name: '注册信息管理',
      check: true,
      data: [
        { name: '管理盘维护', url: '/registerManage/manageDiskMainten', img: '' },
        { name: '设备照片维护', url: '/registerManage/devicePhotoMainten', img: '' },
        { name: '设备查找', url: '/registerManage/deviceSearch', img: '' },
        { name: '应用系统配置', url: '/registerManage/appSystemConfig', img: '' },
      ]
    },
    {
      name: '信息汇总',
      check: true,
      data: [
        { name: '信息汇总', url: '/registerManage/infoAggre', img: '' },
      ]
    }
  ],
  '位置管理': [
    {
      name: '单位位置管理', 
      check: true,
      isTree: true, 
      data: []
    },
    {
      name: '注册信息管理',
      check: true,
      data: [
        { name: '地域编辑', url: '/registerManage/regionalEdit', img: '' },
      ]
    },
  ]
}